petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMComputeL2FieldDiff

This function computes the L_2 difference between a function u and an FEM interpolant solution u_h, separated into field components.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMComputeL2FieldDiff(DM dm, PetscReal time, PetscErrorCode (**funcs)(PetscInt, PetscReal, const PetscReal [], PetscInt, PetscScalar *, void *), void **ctxs, Vec X, PetscReal diff[])

### Input Parameters

| dm | - The DM
| time | - The time
| funcs | - The functions to evaluate for each field component
| ctxs | - Optional array of contexts to pass to each function, or NULL.
| X | - The coefficient vector u_h

### Output Parameter

diff -The array of differences, ||u^f - u^f_h||_2

### See Also

DMProjectFunction(), DMComputeL2FieldDiff(), DMComputeL2GradientDiff()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html